# debuginfo-without-sources
%define debug_package %{nil}
%define major		1
%define libname		%mklibname %{name} %{major}
%define devname		%mklibname %{name} -d

Summary:	Movie player playing most video formats and DVDs
Name:		mpv
Version:	0.27.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Video/Players
Url:		http://%{name}.io/
Source0:	https://github.com/%{name}-player/%{name}/archive/v%{version}.tar.gz

# Mageia's mpv.conf defaults to hardware decoding, as this is the main MPV advantage over other current players
Source1:	mpv.conf.v2

# Taken from 0.28 version
Patch0:		mpv-0.27.1-fix-vaapi-upstream-b881881dbd38a1720a9f8401fd1baafdd0dfccc0.patch

BuildRequires:	desktop-file-utils
BuildRequires:	hicolor-icon-theme
BuildRequires:	imagemagick
BuildRequires:	python-docutils
BuildRequires:	waf >= 1.8.12
BuildRequires:	ladspa-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	jpeg-devel
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(libmng)
BuildRequires:	pkgconfig(libmpg123)
BuildRequires:	libquvi-devel
BuildRequires:	pkgconfig(libv4lconvert)
BuildRequires:	linux-userspace-headers
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(dri)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(enca)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libbluray)
BuildRequires:	pkgconfig(libbs2b)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_cdda)
BuildRequires:	pkgconfig(libcdio_paranoia)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(libiso9660)
BuildRequires:	pkgconfig(libudf)
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(libva-x11)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(vdpau)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-scanner)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	wayland-tools
BuildRequires:	pkgconfig(rubberband)  >= 1.8.0
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	perl
BuildRequires:	yasm
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(ptlib)
BuildRequires:	pkgconfig(sdl2)

Requires:	hicolor-icon-theme

Recommends:	youtube-dl

%description
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.


%files
%doc LICENSE README.md Copyright etc/input.conf
%{_docdir}/%{name}/mplayer-input.conf
%{_docdir}/%{name}/mpv.conf
%{_docdir}/%{name}/restore-old-bindings.conf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.svg
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_mpv
%{_mandir}/man1/%{name}.*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%{_sysconfdir}/%{name}/encoding-profiles.conf


#------------------------------------
%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.

%files -n %{libname}
%doc LICENSE README.md Copyright
%{_libdir}/*.so.*

#------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Mpv is a movie player based on MPlayer and mplayer2. It supports a wide variety
of video file formats, audio and video codecs, and subtitle types. Special
input URL types are available to read input from a variety of sources other
than disk files. Depending on platform, a variety of different video and audio
output methods are supported.

%files -n %{devname}
%doc LICENSE README.md Copyright
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/client.h
%{_includedir}/%{name}/opengl_cb.h
%{_includedir}/%{name}/qthelper.hpp
%{_includedir}/%{name}/stream_cb.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p0

%build
LDFLAGS="%{ldflags} -lSDL" \
CCFLAGS="%{optflags}" \
waf configure \
	--prefix="%{_prefix}" \
	--bindir="%{_bindir}" \
	--mandir="%{_mandir}" \
	--libdir="%{_libdir}" \
	--docdir="%{_docdir}/%{name}" \
	--confdir="%{_sysconfdir}/%{name}" \
	--disable-libass \
	--disable-build-date \
	--disable-debug \
	--enable-openal \
	--enable-cdda \
	--enable-dvbin \
	--enable-dvdread \
	--enable-dvdnav \
	--enable-pulse \
	--enable-wayland \
	--enable-gl-wayland \
	--enable-egl-x11 \
	--enable-vaapi \
	--enable-vaapi-glx \
	--enable-vaapi-hwaccel \
	--enable-libmpv-shared \
	--enable-libass \
	--enable-libass-osd \
	--disable-debug \
	--enable-sdl2 \
	--enable-tv \
	--enable-zsh-comp 
	
waf build --verbose

%install
waf --destdir=%{buildroot} install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# add a default config that prefers hardware decoding if avalaible
mkdir -p %{buildroot}/etc/mpv/
cp %SOURCE1 %{buildroot}/etc/mpv/mpv.conf



%changelog
* Sat Feb 17 2018 zezinho <zezinho> 0.27.2-1.mga6
+ Revision: 1202096
- another upstream fix for subtitles urls
- fix vaapi playing MGA#22603
- security fix version 0.27.1 MGA#22558
- MGA#22478 enable tv which is not default anymore
- enable dvb which is not default anymore
- enable dvd playing as it defaults now to disabled
- update to version 0.27 as it is the last maintained upstream MGA#22365

* Tue May 02 2017 ovitters <ovitters> 0.25.0-2.mga6
+ Revision: 1098238
- rebuild for new ffmpeg

* Mon Apr 24 2017 ovitters <ovitters> 0.25.0-1.mga6
+ Revision: 1097256
- new version 0.25.0

* Fri Mar 31 2017 tv <tv> 0.24.0-4.mga6
+ Revision: 1095496
- rebuild for new libbluray

* Fri Mar 10 2017 akien <akien> 0.24.0-3.mga6
+ Revision: 1091627
- Rebuild for v4l-utils 1.12.3

* Tue Mar 07 2017 zezinho <zezinho> 0.24.0-2.mga6
+ Revision: 1089585
- rebuild against new ffmpeg

* Wed Feb 22 2017 zezinho <zezinho> 0.24.0-1.mga6
+ Revision: 1087343
- new version 0.24

* Wed Jan 18 2017 zezinho <zezinho> 0.23.0-1.mga6
+ Revision: 1082357
- new version 0.23
- new default conf file that prefers VDPAU over VAAPI as some drivers provide a slower pipe in VAAPI mode
- new version 0.23.0

* Wed Jan 11 2017 luigiwalser <luigiwalser> 0.22.0-2.mga6
+ Revision: 1081053
- rebuild for libass

* Thu Dec 22 2016 ovitters <ovitters> 0.22.0-1.mga6
+ Revision: 1076423
- new version 0.22.0

* Fri Sep 09 2016 zezinho <zezinho> 0.20.0-1.mga6
+ Revision: 1051134
- new version

* Mon May 02 2016 zezinho <zezinho> 0.17.0-1.mga6
+ Revision: 1008567
- add new icon
- new version 0.17

* Wed Mar 30 2016 zezinho <zezinho> 0.16.0-1.mga6
+ Revision: 996935
- new version 0.16

* Mon Feb 15 2016 zezinho <zezinho> 0.15.0-2.mga6
+ Revision: 961180
- add source1 file
- add mpv.conf that defaults to hardware decoding if avaliable
- move from suggests to recommends

* Fri Jan 22 2016 zezinho <zezinho> 0.15.0-1.mga6
+ Revision: 926592
- new version

* Sat Jan 02 2016 zezinho <zezinho> 0.14.0-1.mga6
+ Revision: 918535
- new version 0.14
-removed now useless vaapi-vpp flag
- clean stuff

* Thu Nov 05 2015 ovitters <ovitters> 0.11.0-3.mga6
+ Revision: 897968
- enable on-screen-display

* Mon Oct 12 2015 ovitters <ovitters> 0.11.0-2.mga6
+ Revision: 890114
- enable x11-egl
- enable wayland support

* Wed Sep 30 2015 zezinho <zezinho> 0.11.0-1.mga6
+ Revision: 885445
- started from http://repo.mageia.org.pl/5/ mpv SRPM - removed bundled waf - upgraded to latest version 0.11.0
- imported package mpv



* Thu Apr 30 2015 abfonly <John@smith.org> 0.9.1-1
- (b7787d1) Log: Update to 0.9.1, disble too old libass( asked for update on bugzilla),build pdf man pages, enable rubberband


